/* 
 * File:   IKml.hpp
 * Author: jens
 *
 * Created on 9. Januar 2015, 20:14
 */

#ifndef IKML_HPP
#define	IKML_HPP

#include "IFsLink.hpp"

struct IKml
{
    IKml() {}
    virtual ~IKml() {}
    
	virtual void create() = 0;
	virtual void destroy() = 0;
	virtual const char* getPath() = 0;
	
	virtual void updateFlightData(FlightData const &flightData) = 0;
    virtual void updateTrack() = 0;
    virtual void exportKml(const char *pPath) = 0;
    virtual void exportKmz(const char *pPath) = 0;
};

#endif	/* IKML_HPP */

